@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  @apply font-SourceSansPro text-black;
}
.container-origin {
  @apply 2xl:container lg:container mx-auto;
}
.custom-logo-link {
  @apply flex justify-start items-center;
}

#menu-principal.top-scroll {
  @apply bg-white text-black pt-3 pb-2 shadow shadow-sm z-50;
}

#menu-footer {
  @apply flex flex-col mt-4 md:flex-row md:space-x-5 md:mt-0 md:text-sm md:font-normal;
}

#menu-footer > li.current-menu-item > a {
  @apply font-bold hover:text-white;
}

#menu-redes-sociales {
  @apply flex justify-between items-center md:order-2 space-x-2;
}

#menu-redes-sociales > li {
  @apply bg-primary_700 hover:bg-primary_500 rounded-lg w-8 h-8 bg-center bg-no-repeat;
}

#menu-redes-sociales > li.facebook {
  @apply bg-icon_facebook;
}

#menu-redes-sociales > li.instagram {
  @apply bg-icon_instagram;
}

#menu-redes-sociales > li.youtube {
  @apply bg-icon_youtube;
}

#menu-redes-sociales > li.whatsapp {
  @apply bg-icon_whatsapp;
}

#menu-redes-sociales > li.tinder {
  @apply bg-icon_tinder;
}

#menu-redes-sociales > li > a {
  color: transparent;
}

#menu-footer > li > a {
  @apply text-white hover:text-primary_500;
}

.nav-link {
  @apply block text-base whitespace-nowrap hover:text-primary_800;
}

.nav-link.active {
  @apply font-bold hover:text-white;
}

.btn-ver-mas {
  @apply font-semibold text-white rounded-2xl bg-primary_500 transition transition-all duration-500 
  ease-in-out 
  hover:text-black transform hover:-translate-y-1 
  hover:scale-110 shadow-sm;
}

.box-estadistica {
  @apply bg-white py-20 text-grey flex flex-col opacity-50 justify-center text-center hover:text-primary_500 text-6xl hover:opacity-100;
}

.h-estadistica {
  @apply rounded-lg bg-cover bg-center;
  height: 460px;
}

.h-estadistica div {
  @apply flex flex-col items-center justify-center h-full rounded-lg;
}

.h-estadistica div.disable {
  background: linear-gradient(
    0deg,
    rgba(54, 53, 51, 0.75),
    rgba(54, 53, 51, 0.75)
  );
}

.h-noticias-destacadas {
  height: 580px;
}

.h-blog {
  height: 500px;
}

.h-sidebar {
  height: 230px;
}

.vh-60 {
  height: 60vh;
}

.vh-75 {
  height: 75vh;
}

.af-contactos::before {
  content: "";
  border: 0px solid #fff;
  position: absolute;
  height: 100%;
  left: 0px;
  background-color: #00a4e0;
  width: 3px;
}

.logo-footer {
  margin-bottom: 0 !important;
}

.h-inscripcion {
  height: 450px;
}
